> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/get-greeks/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get Greeks GET https://www.okx.com/api/v5/account/greeks Retrieve the Greeks of the account for each currency, only applicable to accounts trading options. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-greeks ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `ccy` (string, optional) — Single currency, e.g. BTC. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountGreeksGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountGreeksGetResponsesContentApplicationJsonSchemaDataItems - `ccy` (string, optional) — Currency. - `deltaBS` (string, optional) — Delta in dollars (Black-Scholes). - `deltaPA` (string, optional) — Delta in coins (PA). - `gammaBS` (string, optional) — Gamma in dollars (Black-Scholes). - `gammaPA` (string, optional) — Gamma in coins (PA). - `thetaBS` (string, optional) — Theta in dollars (Black-Scholes). - `thetaPA` (string, optional) — Theta in coins (PA). - `vegaBS` (string, optional) — Vega in dollars (Black-Scholes). - `vegaPA` (string, optional) — Vega in coins (PA). - `ts` (string, optional) — Timestamp, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ccy": "BTC", "deltaBS": "", "deltaPA": "", "gammaBS": "", "gammaPA": "", "thetaBS": "", "thetaPA": "", "vegaBS": "", "vegaPA": "", "ts": "1620282889345" } ] } ``` **SDK Code** ```python account_getGreeks_example import requests url = "https://www.okx.com/api/v5/account/greeks" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript account_getGreeks_example const url = 'https://www.okx.com/api/v5/account/greeks'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_getGreeks_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/greeks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_getGreeks_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/greeks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java account_getGreeks_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/account/greeks") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php account_getGreeks_example request('GET', 'https://www.okx.com/api/v5/account/greeks', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_getGreeks_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/greeks"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift account_getGreeks_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/greeks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```